<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/yellow"
        android:orientation="vertical"
        tools:context=".view.activity.MainActivity">

        <test.zahra.batmanworld.custom_ui.textview.TextViewBold
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="24dp"
            android:gravity="left"
            android:lineSpacingExtra="8dp"
            android:text="@string/strTopMain"
            android:textColor="@android:color/white"
            android:textSize="20dp" />

        <test.zahra.batmanworld.custom_ui.edittext.EditTextRegular
            android:id="@+id/edtSearch"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginLeft="24dp"
            android:layout_marginRight="24dp"
            android:background="@drawable/bg_edt_search"
            android:drawableLeft="@drawable/research"
            android:hint="@string/strSearch"
            android:paddingLeft="8dp"
            android:textColor="@android:color/white"
            android:textColorHint="#80ffffff"
            android:textSize="16dp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="32dp"
            android:layout_weight="1"
            android:background="@drawable/bg_list_container"
            android:orientation="vertical">

            <test.zahra.batmanworld.custom_ui.textview.TextViewRegular
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="24dp"
                android:text="@string/strMovies"
                android:textColor="@android:color/white"
                android:textSize="14dp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rclMovies"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_marginTop="-24dp"
                android:padding="8dp"
                android:visibility="gone" />
        </LinearLayout>

    </LinearLayout>

    <ProgressBar
        android:id="@+id/prgMain"
        style="?progressBarStyle"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:indeterminate="true" />
</FrameLayout>